=== tests/CMakeLists.txt ===
# Benchmarking tools
add_subdirectory(perf)

# Unit tests
add_subdirectory(unit)
